require_relative 'die'
require_relative 'pledge_pool'

module CrowdFund
  module FundingRound
    def self.one_round(project)
      die = Die.new
      @number_rolled = die.roll
      if @number_rolled.even?
        project.add_funds
      else
        project.remove_funds
      end
      project.record_pledge(PledgePool.random)
    end
  end
end