module CrowdFund
  module Fundable
    def funded?
      funding_gap <= 0
    end
  
    def add_funds(amount = 25)
      self.funding += amount
      self.backers += 1
      puts "Project #{name} got an addtional £#{amount} in funding!"        
    end
  
    def remove_funds(amount = 15)
      self.funding -= amount
      self.backers -= 1
      puts "Project #{name} lost £#{amount} in funding!"        
    end
  end
end
