module CrowdFund
  module Pledgeable
    def record_pledge(pledge)
      self.pledges_received[pledge.name] += pledge.amount	
      puts "Project #{name} received a #{pledge.name} pledge worth £#{pledge.amount}."
      puts "Project #{name}\s pledges #{pledges_received}"
    end

    def pledges
      pledges_received.values.reduce(0, :+)
    end

    def each_donated_pledge
      pledges_received.each do |name, points|
        yield(Pledge.new(name, points))
      end
    end
  end
end
